### Method

# EDataBook BookSqlite cursor_set_sexp

since: 3.12

#### Declaration [src]

    gboolean
    e_book_sqlite_cursor_set_sexp (
      EBookSqlite* ebsql,
      EbSqlCursor* cursor,
      const gchar* sexp,
      GError** error
    )

#### Description [src]

Modifies the current query expression for `cursor`. This will not modify `cursor`‘s state, but will change the outcome of any further calls to `e_book_sqlite_cursor_calculate()` or e_book_sqlite_cursor_step().

Available since: 3.12

This method is not directly available to language bindings.

#### Parameters

`cursor`

  Type: `EbSqlCursor`

  The `EbSqlCursor`.

  The data is owned by the caller of the method.

`sexp`

  Type: `const gchar*`

  The new query expression for `cursor`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the expression was valid and accepted by `ebsql`.